This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 183682 - OOM killer, then NMI watchdog, on FC5-post-test3 x86_64
OOM killer, then NMI watchdog, on FC5-post-test3 x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-02 14:50 EST by Matt Domsch
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-12 12:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fc5-oom.txt (11.82 KB, text/plain)
2006-03-02 14:50 EST, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2006-03-02 14:50:32 EST
Description of problem:
Running Fedora Core 5 rawhide tree as of 02-March-2006.  Kernel
2.6.15-1.1996_FC5 x86_64 on a Dell Precision 380.  This system is used to run
'mock' for building packages.  System has 1GB RAM, 2GB swap, and one socket with
a dual-core Intel(R) Pentium(R) D CPU 3.00GHz.

Often (not always, not terribly rare though), while running mock to build the
libsmbios .src.rpm packages for various releases, the kernel will invoke the OOM
killer, and subsequently, the NMI watchdog will fire.  The box is then hung.  A
trace of the failure was captured.

This has been happening on kernels from -test3 to version noted.  If multiple
mock builds are run in parallel, failure happens sooner.

Version-Release number of selected component (if applicable):
2.6.15-1.1996_FC5 x86_64

How reproducible:
fairly often, several times a day

Steps to Reproduce:
1. mock -r fedora-4-x86_64.cfg libsmbios-$version.src.rpm
2. wait
Comment 1 Matt Domsch 2006-03-02 14:50:32 EST
Created attachment 125561 [details]
fc5-oom.txt
Comment 2 Brian Stretch 2006-05-27 11:38:42 EDT
I'm having similar problems on my dualcore AMD64 machine. 
http://www.redhat.com/archives/rhl-list/2006-May/msg04862.html
It sounds like you're a little better at diagnosing these things than me, maybe
my notes will give you some ideas? 
Comment 3 Brian Stretch 2006-05-31 09:08:48 EDT
Hmm, my problems were fixed by reinstalling FC5.  I have no idea what the
original problem was.  Prior to that, swapping in a singlecore CPU failed to help. 
Comment 4 Matt Domsch 2006-10-12 12:44:14 EDT
Not seen by me in quite a while with newer kernels.  Closing.

Note You need to log in before you can comment on or make changes to this bug.